package com.mortals.xhx.module.device.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.framework.model.PageInfo;
import com.mortals.xhx.module.device.model.DeviceStatEntity;
import com.mortals.xhx.module.device.model.DeviceStatQuery;

import java.util.List;

/**
 * 设备统计Dao
 * 设备统计 DAO接口
 *
 * @author zxfei
 * @date 2022-07-05
 */
public interface DeviceStatDao extends ICRUDDao<DeviceStatEntity, Long> {

    String SQLID_GET_STATLIST = "getStatList";

    List<DeviceStatEntity> getStatList(DeviceStatQuery query, PageInfo pageInfo);
}
